<?php
/*
 * The header for our theme.
 * Author & Copyright:wpoceans
 * URL: http://themeforest.net/user/wpoceans
 */
?><!DOCTYPE html>
<!--[if !IE]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php
$lovelove_viewport = cs_get_option( 'theme_responsive' );
if( !$lovelove_viewport ) { ?>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php } $lovelove_all_element_color  = cs_get_customize_option( 'all_element_colors' ); ?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr( $lovelove_all_element_color ); ?>">
<meta name="theme-color" content="<?php echo esc_attr( $lovelove_all_element_color ); ?>">
<link rel="profile" href="//gmpg.org/xfn/11">
<?php
  // Metabox
  global $post;
  $lovelove_id    = ( isset( $post ) ) ? $post->ID : false;
  $lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
  $lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
  $lovelove_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $lovelove_id : false;
  $lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
  // Theme Layout Width
  $lovelove_layout_width  = cs_get_option( 'theme_layout_width' );
  $theme_preloder  = cs_get_option( 'theme_preloder' );
  $lovelove_layout_width_class = ( $lovelove_layout_width === 'container' ) ? 'layout-boxed' : 'layout-full';
  // Header Style
  if ( $lovelove_meta ) {
    $lovelove_header_design  = $lovelove_meta['select_header_design'];
    $lovelove_sticky_header = isset( $lovelove_meta['sticky_header'] ) ? $lovelove_meta['sticky_header'] : '' ;
  } else {
    $lovelove_header_design  = cs_get_option( 'select_header_design' );
    $lovelove_sticky_header  = cs_get_option( 'sticky_header' );
  }

  if ( $lovelove_header_design === 'default' ) {
    $lovelove_header_design_actual  = cs_get_option( 'select_header_design' );
  } else {
    $lovelove_header_design_actual = ( $lovelove_header_design ) ? $lovelove_header_design : cs_get_option('select_header_design');
  }

  $lovelove_header_design_actual = $lovelove_header_design_actual ? $lovelove_header_design_actual : 'style_two';

  if ( $lovelove_header_design_actual == 'style_three' ) {
    $header_class = 'wpo-header-style-4';
  }  elseif ( $lovelove_header_design_actual == 'style_two' ) {
    $header_class = 'wpo-header-style-2';
  } else {
    $header_class = 'wpo-header-style-1';
  }

  if ( has_nav_menu( 'primary' ) ) {
     $has_menu = ' has-menu ';
  } else {
     $has_menu = ' dont-has-menu ';
  }

  // Box Style
  $lovelove_box_style = isset( $lovelove_meta['box_style'] ) ? $lovelove_meta['box_style'] : '' ;
  if ( $lovelove_box_style ) {
    $box_class = ' wpo-box-style';
  } else {
    $box_class = ' box-style-none';
  }

  if ( $lovelove_sticky_header ) {
    $lovelove_sticky_header = $lovelove_sticky_header ? ' has-sticky-on ' : '';
  } else {
    $lovelove_sticky_header = '';
  }
  // Header Transparent
  if ( $lovelove_meta ) {
    $lovelove_transparent_header = $lovelove_meta['transparency_header'];
    $lovelove_transparent_header = $lovelove_transparent_header ? ' header-transparent' : ' dont-transparent';
    // Shortcode Banner Type
    $lovelove_banner_type = ' '. $lovelove_meta['banner_type'];
  } else { $lovelove_transparent_header = ' dont-transparent'; $lovelove_banner_type = ''; }
  wp_head();
  ?>
  </head>
  <body <?php body_class(); ?>>
     <?php wp_body_open(); ?>
  <div class="page-wrapper <?php echo esc_attr( $lovelove_layout_width_class.$box_class ); ?>"> 
  <!-- #lovelove-theme-wrapper -->
  <?php if( $theme_preloder ) {
   get_template_part( 'theme-layouts/header/preloder' );
   } ?>
  <header id="header">
    <div id="has-sticky" class="wpo-site-header <?php echo esc_attr( $header_class.$lovelove_sticky_header ); ?>">
      <?php  get_template_part( 'theme-layouts/header/top','bar' ); ?>
      <nav id="site-navigation" class="navigation navbar navbar-expand-lg navbar-light <?php echo esc_attr( $has_menu ); ?>">
      <?php get_template_part( 'theme-layouts/header/menu','bar' ); ?>
      </nav>
    </div>
  </header>
  <?php
  // Title Area
  $lovelove_need_title_bar = cs_get_option('need_title_bar');
  if ( !$lovelove_need_title_bar ) {
    get_template_part( 'theme-layouts/header/title', 'bar' );
  }