<?php

	// Metabox
	global $post;
	$lovelove_id    = ( isset( $post ) ) ? $post->ID : false;
	$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
	$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;

	$lovelove_hide_footer_brand = cs_get_option('hide_footer_brand');
	$lovelove_footer_logo = cs_get_option( 'footer_logo' );
	$lovelove_footer_menu = cs_get_option( 'footer_menu' );
	$lovelove_footer_social = cs_get_option( 'footer_social' );

	$footer_logo_url = wp_get_attachment_url( $lovelove_footer_logo );
	$footer_logo_alt = get_post_meta( $lovelove_footer_logo, '_wp_attachment_image_alt', true );

 if ( $lovelove_hide_footer_brand ) { ?>
 	<div class="footer-brand-wrap text-center">
	 	<div class="container ">
		 	<div class="row">
				<div class="col-12">
				    <div class="footer-image">
				        <a class="logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
				        <img src="<?php echo esc_url( $footer_logo_url ); ?>" alt=" <?php echo esc_attr( $footer_logo_alt ); ?>">
				        </a>
				    </div>
				</div>
				<div class="col-12">
				    <div class="footer-link">
				        <?php
			            wp_nav_menu(
			              array(
			                'menu'              => 'primary',
			                'theme_location'    => 'primary',
			                'container'         => '',
			                'container_class'   => '',
			                'container_id'      => '',
			                'menu'              => $lovelove_footer_menu,
			                'menu_class'        => 'footer-nav',
			                'fallback_cb'       => '__return_false',
			              )
			            );
			          ?>
				    </div>
				</div>
				<div class="col-12">
				    <div class="link-widget">
				        <?php echo wp_kses_post( do_shortcode( $lovelove_footer_social ) ); ?>
				    </div>
				</div>
			</div>
		</div>
	</div>
	<?php 
		}
	?>
	