<?php
	// Logo Image
	// Metabox - Header Transparent
	$lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
	$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
	$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
	$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox'. true );
	$lovelove_preloader_image  = cs_get_option( 'preloader_image' );

	$lovelove_preloader_url = wp_get_attachment_url( $lovelove_preloader_image );
	$lovelove_preloader_alt = get_post_meta( $lovelove_preloader_image, '_wp_attachment_image_alt', true );

	if ( $lovelove_preloader_url ) {
		$lovelove_preloader_url = $lovelove_preloader_url;
	} else {
		$lovelove_preloader_url = LOVELOVE_IMAGES.'/preloader.svg';
	}

?>
<!-- start preloader -->
<div class="preloader">
    <div class="vertical-centered-box">
        <div class="content">
            <div class="loader-circle"></div>
            <div class="loader-line-mask">
                <div class="loader-line"></div>
            </div>
            <img src="<?php echo esc_url( $lovelove_preloader_url ); ?>" alt="<?php echo esc_attr( $lovelove_preloader_alt ); ?>">
        </div>
    </div>
</div>
<!-- end preloader -->