<?php
// Metabox
global $post;
$lovelove_id    = ( isset( $post ) ) ? $post->ID : false;
$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
$lovelove_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $lovelove_id : false;
$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
  if ($lovelove_meta) {
    $lovelove_topbar_options = $lovelove_meta['topbar_options'];
  } else {
    $lovelove_topbar_options = '';
  }

  if ( $lovelove_meta ) {
    $lovelove_header_design  = $lovelove_meta['select_header_design'];
  } else {
    $lovelove_header_design  = cs_get_option( 'select_header_design' );
  }

 if ( $lovelove_header_design === 'default' ) {
    $lovelove_header_design_actual  = cs_get_option( 'select_header_design' );
  } else {
    $lovelove_header_design_actual = ( $lovelove_header_design ) ? $lovelove_header_design : cs_get_option('select_header_design');
  }
  
$lovelove_header_design_actual = $lovelove_header_design_actual ? $lovelove_header_design_actual : 'style_two';

// Define Theme Options and Metabox varials in right way!
if ($lovelove_meta) {
  if ($lovelove_topbar_options === 'custom' && $lovelove_topbar_options !== 'default') {
    $lovelove_top_left          = $lovelove_meta['top_left'];
    $lovelove_top_right          = $lovelove_meta['top_right'];
    $lovelove_hide_topbar        = $lovelove_topbar_options;
    $lovelove_topbar_bg          = $lovelove_meta['topbar_bg'];
    if ($lovelove_topbar_bg) {
      $lovelove_topbar_bg = 'background-color: '. $lovelove_topbar_bg .';';
    } else {$lovelove_topbar_bg = '';}
  } else {
    $lovelove_top_left          = cs_get_option('top_left');
    $lovelove_top_right          = cs_get_option('top_right');
    $lovelove_hide_topbar        = cs_get_option('top_bar');
    $lovelove_topbar_bg          = '';
  }
} else {
  // Theme Options fields
  $lovelove_top_left         = cs_get_option('top_left');
  $lovelove_top_right          = cs_get_option('top_right');
  $lovelove_hide_topbar        = cs_get_option('top_bar');
  $lovelove_topbar_bg          = '';
}
// All options
if ( $lovelove_meta && $lovelove_topbar_options === 'custom' && $lovelove_topbar_options !== 'default' ) {
  $lovelove_top_right = ( $lovelove_top_right ) ? $lovelove_meta['top_right'] : cs_get_option('top_right');
  $lovelove_top_left = ( $lovelove_top_left ) ? $lovelove_meta['top_left'] : cs_get_option('top_left');
} else {
  $lovelove_top_right = cs_get_option('top_right');
  $lovelove_top_left = cs_get_option('top_left');
}
if ( $lovelove_meta && $lovelove_topbar_options !== 'default' ) {
  if ( $lovelove_topbar_options === 'hide_topbar' ) {
    $lovelove_hide_topbar = 'hide';
  } else {
    $lovelove_hide_topbar = 'show';
  }
} else {
  $lovelove_hide_topbar_check = cs_get_option( 'top_bar' );
  if ( $lovelove_hide_topbar_check === true ) {
     $lovelove_hide_topbar = 'hide';
  } else {
     $lovelove_hide_topbar = 'show';
  }
}
if ( $lovelove_meta ) {
  $lovelove_topbar_bg = ( $lovelove_topbar_bg ) ? $lovelove_meta['topbar_bg'] : '';
} else {
  $lovelove_topbar_bg = '';
}
if ( $lovelove_topbar_bg ) {
  $lovelove_topbar_bg = 'background-color: '. $lovelove_topbar_bg .';';
} else { $lovelove_topbar_bg = ''; }

if( $lovelove_hide_topbar === 'show' && ( $lovelove_top_left || $lovelove_top_right ) ) {
?>
 <div class="topbar" style="<?php echo esc_attr( $lovelove_topbar_bg ); ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col col-lg-7 col-md-12 col-12">
               <?php echo do_shortcode( $lovelove_top_left ); ?>
            </div>
            <div class="col col-lg-5 col-md-12 col-12">
                <?php echo do_shortcode( $lovelove_top_right ); ?>
            </div>
        </div>
    </div>
</div> <!-- end topbar -->
<?php } // Hide Topbar - From Metabox