<?php
/**
 * Single Event.
 */
$lovelove_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$lovelove_large_image = $lovelove_large_image[0];
$image_alt = get_post_meta( $lovelove_large_image, '_wp_attachment_image_alt', true);
$project_options = get_post_meta( get_the_ID(), 'project_options', true );
$project_page_options = get_post_meta( get_the_ID(), 'project_page_options', true );

$lovelove_prev_pro = cs_get_option('prev_service');
$lovelove_next_pro = cs_get_option('next_servic');
$lovelove_prev_pro = ($lovelove_prev_pro) ? $lovelove_prev_pro : esc_html__('Previous', 'lovelove');
$lovelove_next_pro = ($lovelove_next_pro) ? $lovelove_next_pro : esc_html__('Next', 'lovelove');
$lovelove_prev_post = get_previous_post( '', false);
$lovelove_next_post = get_next_post( '', false);

?>        
<div class="content-area">
		<?php the_content(); ?>
</div> 
<div class="pagi">
  <ul>
    <?php if ($lovelove_prev_post) { ?>
      <li>
        <a href="<?php echo esc_url(get_permalink($lovelove_prev_post->ID)); ?>">
          <i class="fi flaticon-left-arrow"></i>
          <?php echo esc_attr($lovelove_prev_pro); ?>
        </a>
      </li>
    <?php } ?>
    <?php if ($lovelove_next_post) { ?>
    <li>
      <a href="<?php echo esc_url(get_permalink($lovelove_next_post->ID)); ?>">
        <?php echo esc_attr($lovelove_next_pro); ?>
         <i class="fi flaticon-right-arrow-1"></i>
      </a>
    </li>
    <?php } ?>
  </ul>
</div>

