<?php
/*
 * The template for displaying the footer.
 * Author & Copyright:wpoceans
 * URL: http://themeforest.net/user/wpoceans
 */

$lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
$lovelove_ft_bg = cs_get_option('lovelove_ft_bg');
$lovelove_attachment = wp_get_attachment_image_src( $lovelove_ft_bg , 'full' );
$lovelove_attachment = $lovelove_attachment ? $lovelove_attachment[0] : '';

$lovelove_hide_footer_brand = cs_get_option('hide_footer_brand');

if ( $lovelove_attachment ) {
	$bg_url = ' style="';
	$bg_url .= ( $lovelove_attachment ) ? 'background-image: url( '. esc_url( $lovelove_attachment ) .' );' : '';
	$bg_url .= '"';
} else {
	$bg_url = '';
}

if ( $lovelove_meta ) {
	$lovelove_hide_footer  = $lovelove_meta['hide_footer'];
} else { $lovelove_hide_footer = ''; }
if ( !$lovelove_hide_footer ) { // Hide Footer Metabox
	$hide_copyright = cs_get_option('hide_copyright');
	
?>
	<!-- Footer -->
	<footer class="wpo-site-footer clearfix"  <?php echo wp_kses( $bg_url, array('img' => array('src' => array(), 'alt' => array()),) ); ?>>
		<?php
			$footer_widget_block = cs_get_option( 'footer_widget_block' );
			if ( $footer_widget_block ) {
	      get_template_part( 'theme-layouts/footer/footer', 'widgets' );
	    }
	    if ( $lovelove_hide_footer_brand ) {
      	get_template_part( 'theme-layouts/footer/footer', 'brand' );
	    }
			if ( !$hide_copyright ) {
      	get_template_part( 'theme-layouts/footer/footer', 'copyright' );
	    }
    ?>
	</footer>
	<!-- Footer -->
<?php } // Hide Footer Metabox ?>
</div><!--lovelove-theme-wrapper -->
<?php wp_footer(); ?>
</body>
</html>
