<?php
/*
 * Lovelove Theme's Functions
 * Author & Copyright:wpoceans
 * URL: http://themeforest.net/user/wpoceans
 */

/**
 * Define - Folder Paths
 */

define( 'LOVELOVE_THEMEROOT_URI', get_template_directory_uri() );
define( 'LOVELOVE_CSS', LOVELOVE_THEMEROOT_URI . '/assets/css' );
define( 'LOVELOVE_IMAGES', LOVELOVE_THEMEROOT_URI . '/assets/images' );
define( 'LOVELOVE_SCRIPTS', LOVELOVE_THEMEROOT_URI . '/assets/js' );
define( 'LOVELOVE_FRAMEWORK', get_template_directory() . '/includes' );
define( 'LOVELOVE_LAYOUT', get_template_directory() . '/theme-layouts' );
define( 'LOVELOVE_CS_IMAGES', LOVELOVE_THEMEROOT_URI . '/includes/theme-options/framework-extend/images' );
define( 'LOVELOVE_CS_FRAMEWORK', get_template_directory() . '/includes/theme-options/framework-extend' ); // Called in Icons field *.json
define( 'LOVELOVE_ADMIN_PATH', get_template_directory() . '/includes/theme-options/cs-framework' ); // Called in Icons field *.json

/**
 * Define - Global Theme Info's
 */
if (is_child_theme()) { // If Child Theme Active
	$lovelove_theme_child = wp_get_theme();
	$lovelove_get_parent = $lovelove_theme_child->Template;
	$lovelove_theme = wp_get_theme($lovelove_get_parent);
} else { // Parent Theme Active
	$lovelove_theme = wp_get_theme();
}
define('LOVELOVE_NAME', $lovelove_theme->get( 'Name' ));
define('LOVELOVE_VERSION', $lovelove_theme->get( 'Version' ));
define('LOVELOVE_BRAND_URL', $lovelove_theme->get( 'AuthorURI' ));
define('LOVELOVE_BRAND_NAME', $lovelove_theme->get( 'Author' ));

/**
 * All Main Files Include
 */
require_once( LOVELOVE_FRAMEWORK . '/init.php' );

/**
 * thumbnail size
 */
add_image_size( 'lovelove-grid-post-left', 800, 600, true );
add_image_size( 'lovelove-grid-post-right', 210, 180, true );