<?php
// Metabox
global $post;
$lovelove_id    = ( isset( $post ) ) ? $post->ID : false;
$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
$lovelove_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('service') ) ? $lovelove_id : false;
$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
// Header Style
if ( $lovelove_meta ) {
  $lovelove_header_design  = $lovelove_meta['select_header_design'];
} else {
  $lovelove_header_design  = cs_get_option( 'select_header_design' );
}

if ( $lovelove_header_design === 'default' ) {
  $lovelove_header_design_actual  = cs_get_option( 'select_header_design' );
} else {
  $lovelove_header_design_actual = ( $lovelove_header_design ) ? $lovelove_header_design : cs_get_option('select_header_design');
}
$lovelove_header_design_actual = $lovelove_header_design_actual ? $lovelove_header_design_actual : 'style_two';

$lovelove_logo = cs_get_option( 'lovelove_logo' );
$lovelove_trlogo = cs_get_option( 'lovelove_trlogo' );

$logo_url = wp_get_attachment_url( $lovelove_logo );
$logo_alt = get_post_meta( $lovelove_logo, '_wp_attachment_image_alt', true );

$trlogo_url = wp_get_attachment_url( $lovelove_trlogo );
$trlogo_alt = get_post_meta( $lovelove_trlogo, '_wp_attachment_image_alt', true );

if ( $logo_url ) {
  $logo_url = $logo_url;
} else {
 $logo_url = LOVELOVE_IMAGES.'/logo.svg';
}

if ( $trlogo_url ) {
  $trlogo_url = $trlogo_url;
} else {
 $trlogo_url = LOVELOVE_IMAGES.'/tr-logo.svg';
}


if ( $lovelove_header_design_actual == 'style_three' ) {
  $lovelove_logo_url = $trlogo_url;
  $lovelove_logo_alt = $trlogo_alt;
} else {
  $lovelove_logo_url = $logo_url;
  $lovelove_logo_alt = $logo_alt;
}

if ( has_nav_menu( 'primary' ) ) {
  $logo_padding = ' has_menu ';
}
else {
   $logo_padding = ' dont_has_menu ';
}


// Logo Spacings
// Logo Spacings
$lovelove_logo_width = cs_get_option( 'lovelove_logo_width' );
$lovelove_brand_logo_top = cs_get_option( 'lovelove_logo_top' );
$lovelove_brand_logo_bottom = cs_get_option( 'lovelove_logo_bottom' );
if ( $lovelove_brand_logo_top ) {
  $lovelove_brand_logo_top = 'padding-top:'. lovelove_check_px( $lovelove_brand_logo_top ) .';';
} else { $lovelove_brand_logo_top = ''; }
if ( $lovelove_brand_logo_bottom ) {
  $lovelove_brand_logo_bottom = 'padding-bottom:'. lovelove_check_px( $lovelove_brand_logo_bottom ) .';';
} else { $lovelove_brand_logo_bottom = ''; }
if ( $lovelove_logo_width ) {
  $lovelove_logo_width = 'max-width:'. lovelove_check_px( $lovelove_logo_width ) .';';
} else { $lovelove_logo_width = ''; }
?>
<div class="site-logo <?php echo esc_attr( $logo_padding ); ?>"  style="<?php echo esc_attr( $lovelove_brand_logo_top ); echo esc_attr( $lovelove_brand_logo_bottom ); ?>">
   <?php if ( $lovelove_logo ) {
    ?>
      <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
       <img style="<?php echo esc_attr( $lovelove_logo_width ); ?>" src="<?php echo esc_url( $lovelove_logo_url ); ?>" alt=" <?php echo esc_attr( $lovelove_logo_alt ); ?>">
     </a>
   <?php } elseif( has_custom_logo() ) {
      the_custom_logo();
    } else {
    ?>
    <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
       <img style="<?php echo esc_attr( $lovelove_logo_width ); ?>" src="<?php echo esc_url( $lovelove_logo_url ); ?>" alt="<?php echo get_bloginfo('name'); ?>">
     </a>
   <?php
  } ?>
</div>