<?php
$lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true);

// Header Style
if ( $lovelove_meta ) {
  $lovelove_header_design  = $lovelove_meta['select_header_design'];
} else {
  $lovelove_header_design  = cs_get_option( 'select_header_design' );
}

if ( $lovelove_header_design === 'default' ) {
  $lovelove_header_design_actual  = cs_get_option( 'select_header_design' );
} else {
  $lovelove_header_design_actual = ( $lovelove_header_design ) ? $lovelove_header_design : cs_get_option('select_header_design');
}
$lovelove_header_design_actual = $lovelove_header_design_actual ? $lovelove_header_design_actual : 'style_two';

$lovelove_cart_widget  = cs_get_option( 'lovelove_cart_widget' );
$lovelove_search  = cs_get_option( 'lovelove_header_search' );

?>
<div class="col-lg-1 col-md-2 col-2">
  <div class="header-search-form-wrapper header-right">
    <?php
      if ( !$lovelove_search ) { ?>
      <div class="cart-search-contact">
          <button class="search-toggle-btn"><i class="fi flaticon-search"></i></button>
          <div class="header-search-form">
              <form method="get" action="<?php echo esc_url( home_url('/') ); ?>" class="form" >
                  <div>
                      <input type="text" name="s" class="form-control" placeholder="<?php echo esc_attr__( 'Search here','lovelove' ); ?>">
                      <button type="submit"><i class="fi flaticon-search"></i></button>
                  </div>
              </form>
          </div>
      </div>
    <?php } 
    if ( $lovelove_cart_widget && class_exists( 'WooCommerce' ) ) {
      get_template_part( 'theme-layouts/header/top','cart' );
    }
    ?>
  </div>
</div>
