<?php
	// Metabox
	$lovelove_id    = ( isset( $post ) ) ? $post->ID : 0;
	$lovelove_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lovelove_id;
	$lovelove_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lovelove_id;
	$lovelove_meta  = get_post_meta( $lovelove_id, 'page_type_metabox', true );
	if ($lovelove_meta && is_page()) {
		$lovelove_title_bar_padding = $lovelove_meta['title_area_spacings'];
	} else { $lovelove_title_bar_padding = ''; }
	// Padding - Theme Options
	if ($lovelove_title_bar_padding && $lovelove_title_bar_padding !== 'padding-default') {
		$lovelove_title_top_spacings = $lovelove_meta['title_top_spacings'];
		$lovelove_title_bottom_spacings = $lovelove_meta['title_bottom_spacings'];
		if ($lovelove_title_bar_padding === 'padding-custom') {
			$lovelove_title_top_spacings = $lovelove_title_top_spacings ? 'padding-top:'. lovelove_check_px($lovelove_title_top_spacings) .';' : '';
			$lovelove_title_bottom_spacings = $lovelove_title_bottom_spacings ? 'padding-bottom:'. lovelove_check_px($lovelove_title_bottom_spacings) .';' : '';
			$lovelove_custom_padding = $lovelove_title_top_spacings . $lovelove_title_bottom_spacings;
		} else {
			$lovelove_custom_padding = '';
		}
	} else {
		$lovelove_title_bar_padding = cs_get_option('title_bar_padding');
		$lovelove_titlebar_top_padding = cs_get_option('titlebar_top_padding');
		$lovelove_titlebar_bottom_padding = cs_get_option('titlebar_bottom_padding');
		if ($lovelove_title_bar_padding === 'padding-custom') {
			$lovelove_titlebar_top_padding = $lovelove_titlebar_top_padding ? 'padding-top:'. lovelove_check_px($lovelove_titlebar_top_padding) .';' : '';
			$lovelove_titlebar_bottom_padding = $lovelove_titlebar_bottom_padding ? 'padding-bottom:'. lovelove_check_px($lovelove_titlebar_bottom_padding) .';' : '';
			$lovelove_custom_padding = $lovelove_titlebar_top_padding . $lovelove_titlebar_bottom_padding;
		} else {
			$lovelove_custom_padding = '';
		}
	}
	// Banner Type - Meta Box
	if ($lovelove_meta && is_page()) {
		$lovelove_banner_type = $lovelove_meta['banner_type'];
	} else { $lovelove_banner_type = ''; }
	// Header Style
	if ($lovelove_meta) {
	  $lovelove_header_design  = $lovelove_meta['select_header_design'];
	  $lovelove_hide_breadcrumbs  = $lovelove_meta['hide_breadcrumbs'];
	} else {
	  $lovelove_header_design  = cs_get_option('select_header_design');
	  $lovelove_hide_breadcrumbs = cs_get_option('need_breadcrumbs');
	}
	if ( $lovelove_header_design === 'default') {
	  $lovelove_header_design_actual  = cs_get_option('select_header_design');
	} else {
	  $lovelove_header_design_actual = ( $lovelove_header_design ) ? $lovelove_header_design : cs_get_option('select_header_design');
	}
	if ( $lovelove_header_design_actual == 'style_two') {
		$overly_class = ' overly';
	} else {
		$overly_class = ' ';
	}
	// Overlay Color - Theme Options
		if ($lovelove_meta && is_page()) {
			$lovelove_bg_overlay_color = $lovelove_meta['titlebar_bg_overlay_color'];
			$title_color = isset($lovelove_meta['title_color']) ? $lovelove_meta['title_color'] : '';
		} else { $lovelove_bg_overlay_color = ''; }
		if (!empty($lovelove_bg_overlay_color)) {
			$lovelove_bg_overlay_color = $lovelove_bg_overlay_color;
			$title_color = $title_color;
		} else {
			$lovelove_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
			$title_color = cs_get_option('title_color');
		}
		$e_uniqid        = uniqid();
		$inline_style  = '';
		if ( $lovelove_bg_overlay_color ) {
		 $inline_style .= '.wpo-page-title-'.$e_uniqid .'.wpo-page-title {';
		 $inline_style .= ( $lovelove_bg_overlay_color ) ? 'background-color:'. $lovelove_bg_overlay_color.';' : '';
		 $inline_style .= '}';
		}
		if ( $title_color ) {
		 $inline_style .= '.wpo-page-title-'.$e_uniqid .'.wpo-page-title h2, .page-title-'.$e_uniqid .'.wpo-page-title .breadcrumb li, .wpo-page-title-'.$e_uniqid .'.wpo-page-title .breadcrumbs ul li a {';
		 $inline_style .= ( $title_color ) ? 'color:'. $title_color.';' : '';
		 $inline_style .= '}';
		}
		// add inline style
		lovelove_add_inline_style( $inline_style );
		$styled_class  = ' page-title-'.$e_uniqid;
	// Background - Type
	if( $lovelove_meta ) {
		$title_bar_bg = $lovelove_meta['title_area_bg'];
	} else {
		$title_bar_bg = '';
	}
	$lovelove_custom_header = get_custom_header();
	$header_text_color = get_theme_mod( 'header_textcolor' );
	$background_color = get_theme_mod( 'background_color' );
	if( isset( $title_bar_bg['image'] ) && ( $title_bar_bg['image'] ||  $title_bar_bg['color'] ) ) {
	  extract( $title_bar_bg );
	  $lovelove_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . esc_url($image) . ');' : '';
	  $lovelove_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . esc_attr( $repeat) . ';' : '';
	  $lovelove_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . esc_attr($position) . ';' : '';
	  $lovelove_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . esc_attr($size) . ';' : '';
	  $lovelove_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . esc_attr( $attachment ) . ';' : '';
	  $lovelove_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . esc_attr( $color ) . ';' : '';
	  $lovelove_background_style       = ( ! empty( $image ) ) ? $lovelove_background_image . $lovelove_background_repeat . $lovelove_background_position . $lovelove_background_size . $lovelove_background_attachment : '';
	  $lovelove_title_bg = ( ! empty( $lovelove_background_style ) || ! empty( $lovelove_background_color ) ) ? $lovelove_background_style . $lovelove_background_color : '';
	} elseif( $lovelove_custom_header->url ) {
		$lovelove_title_bg = 'background-image:  url('. esc_url( $lovelove_custom_header->url ) .');';
	} else {
		$lovelove_title_bg = '';
	}
	if($lovelove_banner_type === 'hide-title-area') { // Hide Title Area
	} elseif($lovelove_meta && $lovelove_banner_type === 'revolution-slider') { // Hide Title Area
		echo do_shortcode($lovelove_meta['page_revslider']);
	} else {
	?>
	<section class="wpo-page-title <?php echo esc_attr( $overly_class.$styled_class.' '.$lovelove_banner_type ); ?>" style="<?php echo esc_attr( $lovelove_title_bg ); ?>" style="<?php echo esc_attr( $lovelove_custom_padding ); ?>">
	  <div class="container">
	      <div class="row">
	          <div class="col col-xs-12">
                <div class="page-title">
                	<h2><?php echo lovelove_title_area(); ?></h2>
                </div>
	              <?php if ( !$lovelove_hide_breadcrumbs && function_exists( 'breadcrumb_trail' )) { breadcrumb_trail();  } ?>
	          </div>
	      </div> <!-- end row -->
	  </div> <!-- end container -->
	</section>
  <!-- end page-title -->
<?php } ?>